#!/usr/bin/sh
##############################################################################################
#	BdsWeb setup
##############################################################################################
#
webDir=/usr/bds/www

if [ -x /usr/sbin/semanage ]; then
if ! semanage port -l | grep http_port_t.*12000 > /dev/null 2>&1
then
	semanage port -a -t http_port_t -p tcp 12000
	semanage port -a -t http_port_t -p tcp 12001
fi
fi

if [ ! -d ${webDir}/files ]; then
	cp -a ${webDir}/files-base ${webDir}/files
fi
chown apache.apache ${webDir}/files/tmp
chmod g+w ${webDir}/files/tmp
chcon -R -t httpd_sys_rw_content_t ${webDir}/files 2> /dev/null

touch ${webDir}/error_log.txt
chown apache.apache ${webDir}/error_log.txt
chmod 0664 ${webDir}/error_log.txt
chcon -t httpd_sys_rw_content_t ${webDir}/error_log.txt 2> /dev/null

true
