<?php
/*******************************************************************************
 *	config.php		The WebSite configuration
 *******************************************************************************
 */

require_once "lib/BConfig.php";

/*
 * PHP settings:
 *
 * To see what PHP settings are possible, including whether they can
 * be set at runtime (ie., when ini_set() occurs), read the PHP
 * documentation at http://www.php.net/manual/en/ini.php#ini.list
 * and take a look at the .htaccess file to see which non-runtime
 * settings are used there. Settings defined here should not be
 * duplicated there so as to avoid conflict issues.
 */
if(0){
ini_set('arg_separator.output',     '&amp;');
ini_set('magic_quotes_runtime',     0);
ini_set('magic_quotes_sybase',      0);
ini_set('session.cache_expire',     200000);
ini_set('session.cache_limiter',    'none');
ini_set('session.cookie_lifetime',  2000000);
ini_set('session.gc_maxlifetime',   200000);
// ini_set('session.save_handler',     'user');
// ini_set('session.use_only_cookies', 1);
// ini_set('session.use_trans_sid',    0);
ini_set('url_rewriter.tags',        '');
}

$config = new BConfig;

$config->init();

$config->databaseHost		= "localhost";
$config->databaseName		= "BDS_WEB";
$config->databaseUser		= "bds_web";
$config->databasePassword	= "bds_web";
$config->databasePrefix		= "bds_web_";
$config->siteName		= "bds";
$config->siteTitle		= "Blacknest Data System";
$config->siteMoto		= "";
$config->siteDescription	= "Blacknest Data System";
$config->siteKeywords		= "Blacknest, BDS, Seismic Data";
$config->logo			= "BlacknestLogo.png";
$config->style			= "bds";
$config->siteEmailAddress	= "terry@beam.ltd.uk";
$config->siteEmailAdmin		= "terry@beam.ltd.uk";
$config->emailSend		= 0;			// Enable/disable the sending of emails
$config->moduleNames		= array("management" => "management",
					"configure" => "config",
					"category" => "category",
					"bds" => "bds",
					"news" => "news",
					"document" => "document",
					"statistics" => "statistics",
					);
$config->userRoles		= "";
$config->loginRequired		= 0;
$config->loginRegister		= 0;
$config->loginRegisterValidate	= 0;

$config->smsSend		= 0;			// Enable/disable the sending of SMS
$config->smsCost		= 0.06;			// Cost of SMS message
$config->smsUser		= "";			// SMS account user id
$config->smsPassword		= "";			// SMS account password
$config->debug			= 0;			// Debug bitmask

$config->bdsHost		= "localhost";		// The BDS server's host name
$config->bdsUser		= "bdsWeb";		// The BDS server's user name
$config->bdsPassword		= "beam00";		// The BDS server's password


if($_SERVER["HTTP_HOST"] == "beam.beamnet"){
	$config->baseDir		= "/src/blacknest/bds/bds/bdsWeb/www";
	$config->baseUrl		= "http://beam.beamnet/bds";
}
if($_SERVER["HTTP_HOST"] == "bds.beam.beamnet"){
	$config->baseDir		= "/src/blacknest/bds/bds/bdsWeb/www";
	$config->baseUrl		= "http://bds.beam.beamnet";
}

// Set include paths
set_include_path($config->baseDir . '/lib' . PATH_SEPARATOR . get_include_path());
set_include_path($config->baseDir . '/lib/smarty/libs' . PATH_SEPARATOR . get_include_path());
set_include_path($config->baseDir . '/lib/pear/php' . PATH_SEPARATOR . get_include_path());
set_include_path($config->baseDir . '/modules' . PATH_SEPARATOR . get_include_path());

?>
