<?php
/*******************************************************************************
 *	demo.php		Demo Module
 *				T.Barnaby,	BEAM Ltd,	2008-01-31
 *******************************************************************************
 */
require_once "BModule.php";
require_once "BBlock.php";
require_once "BView.php";
require_once "BEdit.php";

class Demo extends BModule {
	// Basic Interface routines
	function __construct(&$sys){
		parent::__construct($sys);
		$this->name = "demo";
		$this->title = "Demo";
		$this->info = "Demo Module";
	}
	
	// Standard interface
	function getMenu(){
		return new BMenu("Demo", "/{$this->name}", "", array(
			"Demo List" => "/{$this->name}",
			));
	}

	function getPage($uri){
		$this->parseUri($uri);

		switch($this->cmd){
		default: 			return "Demo Module";		break;
		}
	}

	function getPageBlock($uri){
		$o = new BBlock();
		return $o;
	}
};

?>
