bdsSelectUrl = "";

function bdsSelectionUpdateNetworks(){
	//alert("bdsSelectionUpdate: called");
	
	var sel = {};
	var i;
	var i1;
	var networkSelect = document.getElementById('sel_network');
	var stationSelect = document.getElementById('sel_station[]');
	var channelSelect = document.getElementById('sel_channel[]');

	// Create selection object from actual selection settings
	sel.networks = [];
	for(i = 0, i1 = 0; i < networkSelect.options.length; i++){
		if(networkSelect.options[i].selected){
			sel.networks[i1] = networkSelect.options[i].text;
			i1 = i1 + 1;
		}
	}
	sel.stations = [];
	sel.stations[0] = "";

	cmd = bdsSelectUrl + "&json=" + JSON.stringify(sel);
	//alert("Send: " + cmd);

	// Send request and parse result setting stations and channels as available
	var xmlhttp = new XMLHttpRequest();
	xmlhttp.open('GET', cmd, true);
	xmlhttp.onreadystatechange = function(){
		if(xmlhttp.readyState==4 && xmlhttp.status == 200){
			//alert("bdsSelectionUpdate: have data: " + xmlhttp.responseText);
			obj = JSON.parse(xmlhttp.responseText);

			//alert("bdsSelectionUpdate: obj: " + JSON.stringify(obj));
			//console.log("channels: " + obj.channels);
			
			stationSelect.options.length = 0;
			var opt = document.createElement("option");
			opt.text = "";
			stationSelect.add(opt);

			for(var i = 0; i < obj.arraysAndStations.length; i++){
				var opt = document.createElement("option");
				if(obj.arrays.indexOf(obj.arraysAndStations[i]) != -1)
					opt.style.color = "orange";
				opt.text = obj.arraysAndStations[i];
				stationSelect.add(opt, null);
			}

			channelSelect.options.length = 0;
			var opt = document.createElement("option");
			opt.text = "";
			channelSelect.add(opt);

			for(var i = 0; i < obj.channels.length; i++){
				var opt = document.createElement("option");
				opt.text = obj.channels[i];
				channelSelect.add(opt, null);
			}
		}
	};
	xmlhttp.send("");
}

function bdsSelectionUpdateChannels(){
	//alert("bdsSelectionUpdate: called");
	
	var sel = {};
	var i;
	var i1;
	var networkSelect = document.getElementById('sel_network');
	var stationSelect = document.getElementById('sel_station[]');
	var channelSelect = document.getElementById('sel_channel[]');

	// Create selection object from actual selection settings
	sel.networks = [];
	for(i = 0, i1 = 0; i < networkSelect.options.length; i++){
		if(networkSelect.options[i].selected){
			sel.networks[i1] = networkSelect.options[i].text;
			i1 = i1 + 1;
		}
	}

	sel.stations = [];
	for(i = 0, i1 = 0; i < stationSelect.options.length; i++){
		if(stationSelect.options[i].selected){
			sel.stations[i1] = stationSelect.options[i].text;
			i1 = i1 + 1;
		}
	}
	
	cmd = bdsSelectUrl + "&json=" + JSON.stringify(sel);
	//alert("Send: " + cmd);

	// Send request and parse result setting stations and channels as available
	var xmlhttp = new XMLHttpRequest();
	xmlhttp.open('GET', cmd, true);
	xmlhttp.onreadystatechange = function(){
		if(1 && xmlhttp.readyState==4 && xmlhttp.status == 200){
			//alert("bdsSelectionUpdate: have data: " + xmlhttp.responseText);
			obj = JSON.parse(xmlhttp.responseText);

			//alert("bdsSelectionUpdate: obj: " + JSON.stringify(obj));
			//console.log("channels: " + obj.channels);
			
			channelSelect.options.length = 0;
			var opt = document.createElement("option");
			opt.text = "";
			channelSelect.add(opt);
			
			for(var i = 0; i < obj.channels.length; i++){
				var opt = document.createElement("option");
				opt.text = obj.channels[i];
				channelSelect.add(opt);
			}
		}
	};
	xmlhttp.send("");
	return 0;
}
