<?php
/*******************************************************************************
 *	config.php		The WebSite configuration
 *******************************************************************************
 */

require_once "lib/BConfig.php";

/*
 * PHP settings:
 *
 * To see what PHP settings are possible, including whether they can
 * be set at runtime (ie., when ini_set() occurs), read the PHP
 * documentation at http://www.php.net/manual/en/ini.php#ini.list
 * and take a look at the .htaccess file to see which non-runtime
 * settings are used there. Settings defined here should not be
 * duplicated there so as to avoid conflict issues.
 */
if(0){
ini_set('arg_separator.output',     '&amp;');
ini_set('magic_quotes_runtime',     0);
ini_set('magic_quotes_sybase',      0);
ini_set('session.cache_expire',     200000);
ini_set('session.cache_limiter',    'none');
ini_set('session.cookie_lifetime',  2000000);
ini_set('session.gc_maxlifetime',   200000);
// ini_set('session.save_handler',     'user');
// ini_set('session.use_only_cookies', 1);
// ini_set('session.use_trans_sid',    0);
ini_set('url_rewriter.tags',        '');
}

$config = new BConfig;

$config->init();

$config->databaseHost		= "beam.beamnet";
$config->databaseName		= "webSys";
$config->databaseUser		= "webSys";
$config->databasePassword	= "webSys";
$config->databasePrefix		= "test_";
$config->siteName		= "test";
$config->siteTitle		= "Test";
$config->siteMoto		= "";
$config->siteDescription	= "Test site";
$config->siteKeywords		= "Beam, Test";
$config->logo			= "greenpowerLogo.gif";
$config->style			= "greenpower";
$config->siteEmailAddress	= "terry@beam.ltd.uk";
$config->siteEmailAdmin		= "terry@beam.ltd.uk";
$config->emailMembership	= 1;			// Enable use of membership database for email addresses when sending to all or a group
$config->emailSend		= 1;			// Enable/disable the sending of emails
$config->moduleNames		= array("forum" => "forum",
					"info" => "info",
					"news" => "news",
					"calendar" => "calendar",
					"link" => "link",
					"showcase" => "showcase",
					"document" => "documentSchool",
					"category" => "category",
					"statistics" => "statistics",
					"management" => "management",
					);
$config->userRoles		= "";
$config->loginRequired		= 0;
$config->loginRegister		= 0;
$config->loginRegisterValidate	= 0;
$config->loginUsernameEmail	= 0;			// Use email address as username
$config->loginNoGroups		= 0;			// No groups in login registration

$config->smsSend		= 0;			// Enable/disable the sending of SMS
$config->smsCost		= 0.06;			// Cost of SMS message
$config->smsUser		= "";			// SMS account user id
$config->smsPassword		= "";			// SMS account password

$config->advertsShowHome	= 0;			// Show adverts on home page
$config->advertsShowAll		= 0;			// Show adverts on all pages

$config->debug			= 0;			// Debug bitmask

if($_SERVER["HTTP_HOST"] == "beam.beamnet"){
	$config->baseDir		= "/src/webSys/www_new";
	$config->baseUrl		= "http://beam.beamnet/src/webSys/www_new";
}
else if($_SERVER["HTTP_HOST"] == "king.kingnet"){
	$config->databaseHost		= "king.kingnet";
	$config->baseDir		= "/data/src/webSys/www_new";
	$config->baseUrl		= "http://king.kingnet/data/src/webSys/www_new";
}

// Set include paths
set_include_path($config->baseDir . '/lib' . PATH_SEPARATOR . get_include_path());
set_include_path($config->baseDir . '/lib/smarty/libs' . PATH_SEPARATOR . get_include_path());
set_include_path($config->baseDir . '/lib/pear/php' . PATH_SEPARATOR . get_include_path());
set_include_path($config->baseDir . '/modules' . PATH_SEPARATOR . get_include_path());

?>
