#!/usr/bin/php
<?php
/*******************************************************************************
 *	EmailReceive.php	Email receiver
 *			T.Barnaby,	BEAM Ltd,	2008-02-19
 *******************************************************************************
 */
require_once "config.php";
require_once "BSys.php";

$sys = new BSys($config);
$sys->db = new BDataBase($sys);
if($err = $sys->db->open()){
	print "Error: {$err->getString()}\n";
	return 1;
}

require_once "modules/forum/forum.module";

// read from stdin
$fd = fopen("php://stdin", "r");
$email = "";
while (!feof($fd)) {
    $email .= fread($fd, 1024);
}
fclose($fd);

forumEmailAdd($email);

?>
