<?php

class Email {
	function Email($content = ""){
		$this->content = $content;
	}
	
	function set($content){
		$this->content = $content;
	}
	
	function getHeaderField($name){
		$b = strpos($this->content, "\n\n");
		if($b === False)
			$b = strpos($this->content, "\r\n\r\n");
		if($b !== False){
			$lines = explode("\n", substr($this->content, 0, $b));
			for($i = 0; $i < count($lines); $i++) {
				if(preg_match("/^{$name}: (.*)/", $lines[$i], $matches))
					return $matches[1];
			}
		}	

		return "";
	}
	
	function getHeader(){
		$b = strpos($this->content, "\n\n");
		if($b === False)
			$b = strpos($this->content, "\r\n\r\n");
		if($b !== False){
			return substr($this->content, 0, $b);
		}	

		return "";
	}
	
	function getBody(){
		$b = strpos($this->content, "\n\n");
		if($b === False)
			$b = strpos($this->content, "\r\n\r\n");
		if($b !== False){
			return substr($this->content, $b+2, strlen($this->content));
		}	

		return "";
	}
	
	function getFrom(){
		$e = $this->getHeaderField("From");
		if($e != ""){
			if(preg_match("/.*<(.*)>/", $e, $matches))
				return $matches[1];
		}
		return $e;
	}

	var	$content;
}

$email = new EMail(file_get_contents("/src/blacknest/www/files/emails/email-4.eml"));

print "Header:";
print $email->getHeader();
print "Body:";
print $email->getBody();
?>
