<?php
/*******************************************************************************
 *	KidsZone.php	KidsZone Module
 *			T.Barnaby,	BEAM Ltd,	2008-03-15
 *******************************************************************************
 */
require_once "BModule.php";
require_once "BBlock.php";
require_once "BView.php";
require_once "BDate.php";
require_once "BEdit.php";
require_once "BDate.php";

class KidsZone extends BModule {
	// Basic Interface routines
	function __construct(&$sys){
		parent::__construct($sys);
		$this->name = "kidsZone";
		$this->title = "KidsZone";
		$this->info = "KidsZone module.";
	}

	function getMenu(){
		return new BMenu("Kids Zone", "/{$this->name}", "", array("Kids Zone List" => "/{$this->name}"));
	}

	function getPage($uri){
		$html = new BHtmlNode("div", "style='background-image: url(icons/misc/backgroundgrn.gif);'");
		$t = &$html->appendNode("table", "cellspacing=30");
		$r = &$t->appendNode("tr");
		$c = &$r->appendNode("td");
		$c->appendNode("img", "alt='Kids Zone' src='icons/misc/kidszone_logo.gif'");
		$c = &$r->appendNode("td");
		$c->appendNode("div", "style='font: 200% Verdana, Helvetica, Arial, sans-serif; font-weight: bold; color: red;'", "Here are some links for interesting websites you should enjoy !");

		$list = $this->sys->db->getObjectList("Link", "", "`category` = 'kidsZone'", "");
		$len = count($list);

		$t = &$html->appendNode("table", "cellspacing=30");
		$col = 0;
		foreach($list as $obj){
			if($col == 0)
				$r = &$t->appendNode("tr");
			$c = &$r->appendNode("td", "class='kidsZoneLink'");
			$c->appendNode("a", "href='{$obj->url}'")->appendNode("img", "src='{$obj->icon}'");
			$c->appendNode("br");
			$c->appendNode("a", "href='{$obj->url}'")->appendText($obj->title);
			$c->appendNode("br");
			$c->appendText($obj->description);
			$col += 1;
			if($col == 3)
				$col = 0;
		}

		return $html->render();
	}

	function getPageBlock($uri){
		return Null;
	}
};

?>
